Package org.mockserver.codec
Class PreserveHeadersNettyRemoves
java.lang.Object
io.netty.channel.ChannelHandlerAdapter
io.netty.channel.ChannelInboundHandlerAdapter
io.netty.handler.codec.MessageToMessageDecoder<io.netty.handler.codec.http.HttpObject>
org.mockserver.codec.PreserveHeadersNettyRemoves
- All Implemented Interfaces:
io.netty.channel.ChannelHandler,io.netty.channel.ChannelInboundHandler
public class PreserveHeadersNettyRemoves
extends io.netty.handler.codec.MessageToMessageDecoder<io.netty.handler.codec.http.HttpObject>
-
Nested Class Summary
Nested classes/interfaces inherited from interface io.netty.channel.ChannelHandler
io.netty.channel.ChannelHandler.Sharable -
Constructor Summary
Constructors -
Method Summary
Modifier and TypeMethodDescriptionprotected voiddecode(io.netty.channel.ChannelHandlerContext ctx, io.netty.handler.codec.http.HttpObject httpObject, List<Object> out) static byte[]originalRawBody(io.netty.channel.Channel channel) The original (still compressed) request body bytes captured before decompression, or null when the request body was not content-encoded.preservedHeaders(io.netty.channel.Channel channel) Methods inherited from class io.netty.handler.codec.MessageToMessageDecoder
acceptInboundMessage, channelRead, channelReadCompleteMethods inherited from class io.netty.channel.ChannelInboundHandlerAdapter
channelActive, channelInactive, channelRegistered, channelUnregistered, channelWritabilityChanged, exceptionCaught, userEventTriggeredMethods inherited from class io.netty.channel.ChannelHandlerAdapter
ensureNotSharable, handlerAdded, handlerRemoved, isSharableMethods inherited from class java.lang.Object
clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, waitMethods inherited from interface io.netty.channel.ChannelHandler
handlerAdded, handlerRemoved
-
Constructor Details
-
PreserveHeadersNettyRemoves
public PreserveHeadersNettyRemoves()
-
-
Method Details
-
decode
protected void decode(io.netty.channel.ChannelHandlerContext ctx, io.netty.handler.codec.http.HttpObject httpObject, List<Object> out) throws Exception - Specified by:
decodein classio.netty.handler.codec.MessageToMessageDecoder<io.netty.handler.codec.http.HttpObject>- Throws:
Exception
-
preservedHeaders
-
originalRawBody
public static byte[] originalRawBody(io.netty.channel.Channel channel) The original (still compressed) request body bytes captured before decompression, or null when the request body was not content-encoded.
-